./www/opera-acroread7, Acrobat Reader 7 plugin for opera

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.0nb4, Package name: opera-acroread7-1.0nb4, Maintainer: pkgsrc-users

This package provides the Adobe Acrobat Reader 7 plugin for the Opera package.

DEINSTALL [+/-]

Required to run:
[print/acroread7] [www/opera] [emulators/suse121_32_openmotif]

Version history: (Expand)


CVS history: (Expand)


   2014-10-05 18:41:09 by Thomas Klausner | Files touched by this commit (58)
Log message:
Fix ``Please add a line "# used by foo/bar/Makefile" here.'' warnings.
   2012-10-28 07:31:10 by Aleksej Saushev | Files touched by this commit (600)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.
   2012-03-09 15:16:57 by OBATA Akio | Files touched by this commit (4) | Package updated
Log message:
opera>=11.61 will not be installed in EMULDIR, adjust path.

Bump PKGREVISION.
   2011-10-02 16:31:14 by Thomas Klausner | Files touched by this commit (4)
Log message:
Make independent of opera-acroread.
   2009-02-16 14:55:00 by Joerg Sonnenberger | Files touched by this commit (3)
Log message:
Fix Maintainer. DESTDIR support
   2009-01-23 22:14:18 by Jan Schaumann | Files touched by this commit (43)
Log message:
Give up maintainership, as I have not so much as looked at pkgsrc in
well over a year now.  Sorry. :-(
   2008-06-20 03:09:45 by Joerg Sonnenberger | Files touched by this commit (993)
Log message:
Add DESTDIR support.
   2007-07-29 07:20:04 by Johnny C. Lam | Files touched by this commit (427) | Package updated
Log message:
* Add new emulator framework in pkgsrc/mk/emulator that handles all
  binary-only packages that require binary "emulation" on the native
  operating system.  Please see pkgsrc/mk/emulator/README for more
  details.

* Teach the plist framework to automatically use any existing
  PLIST.${EMUL_PLATFORM} as part of the default PLIST_SRC definition.

* Convert all of the binary-only packages in pkgsrc to use the
  emulator framework.  Most of them have been tested to install and
  deinstall correctly.  This involves the following cleanup actions:

    * Remove use of custom PLIST code and use PLIST.${EMUL_PLATFORM}
      more consistently.

    * Simplify packages by using default INSTALL and DEINSTALL scripts
      instead of custom INSTALL/DEINSTALL code.

    * Remove "SUSE_COMPAT32" and "PKG_OPTIONS.suse" from pkgsrc.
      Packages only need to state exactly which emulations they support,
      and the framework handles any i386-on-x86_64 or sparc-on-sparc64
      uses.

    * Remove "USE_NATIVE_LINUX" from pkgsrc.  The framework will
      automatically detect when the package is installing on Linux.

  Specific changes to packages include:

    * Bump the PKGREVISIONs for all of the suse100* and suse91* packages
      due to changes in the +INSTALL/+DEINSTALL scripts used in all
      of the packages.

    * Remove pkgsrc/emulators/suse_linux, which is unused by any
      packages.

    * cad/lc -- remove custom code to create the distinfo file for
	all supported platforms; just use "emul-fetch" and \ 
"emul-distinfo"
	instead.

    * lang/Cg-compiler -- install the shared libraries under ${EMULDIR}
	instead of ${PREFIX}/lib so that compiled programs will find
	the shared libraries.

    * mail/thunderbird-bin-nightly -- update to latest binary
	distributions for supported platforms.

    * multimedia/ns-flash -- update Linux version to 9.0.48 as the
	older version is no longer available for interactive fetch.

    * security/uvscan -- set LD_LIBRARY_PATH explicitly so that
	it's not necessary to install library symlinks into
	${EMULDIR}/usr/local/lib.

    * www/firefox-bin-flash -- update Linux version to 9.0.48 as the
	older version is no longer available for interactive fetch.